### Struct

# GdkContentFormatsBuilder

#### Description [src]

    struct GdkContentFormatsBuilder {
      /* No available fields */
    }

A `GdkContentFormatsBuilder` is an auxiliary struct used to create new `GdkContentFormats`, and should not be kept around.

#### Constructors

###### gdk_content_formats_builder_new

Create a new `GdkContentFormatsBuilder` object.

#### Instance methods

###### gdk_content_formats_builder_add_formats

Appends all formats from `formats` to `builder`, skipping those that already exist.

###### gdk_content_formats_builder_add_gtype

Appends `type` to `builder` if it has not already been added.

###### gdk_content_formats_builder_add_mime_type

Appends `mime_type` to `builder` if it has not already been added.

###### gdk_content_formats_builder_free_to_formats

Creates a new `GdkContentFormats` from the current state of the given `builder`, and frees the `builder` instance.

###### gdk_content_formats_builder_ref

Acquires a reference on the given `builder`.

###### gdk_content_formats_builder_to_formats

Creates a new `GdkContentFormats` from the given `builder`.

###### gdk_content_formats_builder_unref

Releases a reference on the given `builder`.